﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Steema.TeeChart.WPF;
using Steema.TeeChart.WPF.Styles;
using System.IO;
using System.Windows.Markup;
using Steema.TeeChart.WPF.Tools;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        //TChart MyTChart;
        public MainWindow()
        {
            InitializeComponent();

            MyTChart.Width = 400;
            MyTChart.Height = 300;
            MyTChart.Axes.Left.SetMinMax(0, 10);
            MyTChart.Axes.Bottom.SetMinMax(0, 10);

            series = new Histogram();
            series.Add(0, 1);
            series.Add(1, 2);
            series.Add(2, 0);

            MyTChart.Series.Add(series);
        }

        public Histogram series;


        private void Button_Click(object sender, RoutedEventArgs e)
        {
            using (MemoryStream ms = new MemoryStream())
            {
                MyTChart.Export.Image.XAML.Width = 50;
                MyTChart.Export.Image.XAML.Height = 50;

                MyTChart.Export.Image.XAML.Save(ms);
                ms.Seek(0, SeekOrigin.Begin);
                object exportedXaml = XamlReader.Load(ms);
            }
        }
    }
}
